<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<parent>
		<artifactId>samples</artifactId>
		<groupId>org.richfaces</groupId>
		<version>3.2.0.CR7</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<groupId>org.richfaces.samples</groupId>
	<artifactId>seamIntegration</artifactId>
	<packaging>war</packaging>
	<name>seamIntegration Maven Webapp</name>
	<version>3.2.0.CR7</version>
	<build>
		<finalName>seamIntegration</finalName>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<inherited>true</inherited>
				<configuration>
					<source>1.5</source>
					<target>1.5</target>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-war-plugin</artifactId>
				<configuration>
					<!--
						<webResources>
						<resource>
						<directory>${seamHome}</directory>
						<targetPath>WEB-INF/lib</targetPath>
						<includes>
						<include>jboss-seam.jar</include>
						<include>jboss-seam-ui.jar</include>
						<include>jboss-seam-debug.jar</include>
						<include>
						jboss-seam-remoting.jar
						</include>
						<include>
						jboss-seam-pdf.jar
						</include>
						</includes>
						</resource>
						<resource>
						<directory>${seamHome}/lib</directory>
						<targetPath>WEB-INF/lib</targetPath>
						<includes>
						<include>jboss-el.jar</include>
						</includes>
						</resource>
						</webResources>
					-->
				</configuration>
			</plugin>
		</plugins>
	</build>
	<dependencies>
		<dependency>
			<groupId>org.richfaces.ui</groupId>
			<artifactId>richfaces-ui</artifactId>
			<version>${version}</version>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-validator</artifactId>
			<version>3.0.0.GA</version>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-annotations</artifactId>
			<version>3.3.0.ga</version>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-entitymanager</artifactId>
			<version>3.3.1.ga</version>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam</artifactId>
			<version>2.0.0.GA</version>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam-ui</artifactId>
			<version>2.0.0.GA</version>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam-ioc</artifactId>
			<version>2.0.0.GA</version>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam-debug</artifactId>
			<version>2.0.0.GA</version>
		</dependency>
	</dependencies>
	<repositories>
		<repository>
			<id>repository.jboss.com</id>
			<url>http://repository.jboss.com/maven2</url>
		</repository>
	</repositories>
</project>

